Traditional Chinese update for firefox.desktop and thunderbird.desktop

Bug #614190 reported by Cheng-Chia Tseng on 2010-08-06
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Unassigned
firefox (Ubuntu)
Wishlist
Chris Coulson
thunderbird (Ubuntu)
Wishlist
Micah Gersten

Bug Description

Because firefox and thunderbird package doesn't use X-Ubuntu-Gettext-Domain at all, we translators cannot translate those descriptions in the .desktop files on Launchpad.

I am sorry that I don't know how to write a patch.

These strings should be added to the corresponding desktop file,

firefox.desktop:
Name[zh_TW]=Firefox 網路瀏覽器
Comment[zh_TW]=瀏覽網際網路
GenericName[zh_TW]=網路瀏覽器

thunderbird.desktop:
Name[zh_TW]=Mozilla Thunderbird 郵件
Comment[zh_TW]=以 Mozilla Thunderbird 讀寫郵件或新聞
GenericName[zh_TW]=郵件用戶端

I need someone help with that.

Aron Xu (happyaron) wrote :

Please update for Simplified Chinese as well (zh_CN):

firefox.desktop:
Name[zh_CN]=Firefox 网络浏览器
Comment[zh_CN]=浏览互联网
GenericName[zh_CN]=网络浏览器

thunderbird.desktop:
Name[zh_CN]=Mozilla Thunderbird 邮件/新闻
Comment[zh_CN]=阅读邮件或新闻
GenericName[zh_CN]=邮件新闻客户端

Micah Gersten (micahg) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as Triaged and let them handle it from here. Thanks for taking the time to make Ubuntu better! Please report any other issues you may find.

Changed in firefox (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in thunderbird (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Aron Xu (happyaron) on 2010-08-06
Changed in ubuntu-translations:
importance: Undecided → Medium
status: New → Triaged
Micah Gersten (micahg) on 2010-08-06
Changed in firefox (Ubuntu):
milestone: none → ubuntu-10.10-beta
Changed in thunderbird (Ubuntu):
milestone: none → ubuntu-10.10-beta
Aron Xu (happyaron) wrote :

Can we request an SRU for Lucid?

Let's get it in Maverick first. Possibly since it's an LTS.

On 08/05/2010 11:19 PM, Aron Xu wrote:
> Can we request an SRU for Lucid?
>
>

Micheal Harker (mh0) wrote :

@Micah , You missed the LTS... The LTS is Ubuntu Lucid Lynx (10.04) not 10.10

Also, To everyone else... I am assigning the big to myself as I am willing to tmake the changes and package it up as a a .deb again.

To the OP, Thanks for making Ubuntu better!

MichealH

Changed in firefox (Ubuntu):
assignee: nobody → MichealH (michealh)
Changed in thunderbird (Ubuntu):
assignee: nobody → MichealH (michealh)
Changed in firefox (Ubuntu):
status: Triaged → In Progress
Changed in thunderbird (Ubuntu):
status: Triaged → In Progress
Micah Gersten (micahg) wrote :

@MichaelH
Mozilla apps have a different workflow. Patches have to go through the Mozilla team. If you want to make the debdiff feel free, but I was going to add this to our bzr branch over the weekend.

Changed in firefox (Ubuntu):
assignee: MichealH (michealh) → nobody
status: In Progress → Triaged
Micah Gersten (micahg) on 2010-08-08
Changed in thunderbird (Ubuntu):
assignee: MichealH (michealh) → nobody
status: In Progress → Triaged
David Planella (dpm) wrote :

I've seen another request for a translation addition. It's Vietnamese on bug 559083

I'm not too sure if you prefer a bug for each new localisation or to keep track of them in this one, but in any case here's the Vietnamese translation for firefox.desktop:

Name[vi]=Trình duyệt web Firefox
Comment[vi]=Để duyệt các trang web
GenericName[vi]=Trình duyệt Web

Changed in firefox (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
Chris Coulson (chrisccoulson) wrote :

Thanks for the translations, committed now

bzr commit -m '* Fix LP: #614190 - Chinese update for firefox.desktop. Thanks to
  Cheng-Chia Tseng and Aron Xu
  - update debian/firefox-final.desktop' --fixes 'lp:614190'
Committing to: /home/chr1s/src/firefox/3.6/
modified debian/changelog
modified debian/firefox-final.desktop
Committed revision 648.

Changed in firefox (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6.8+build1+nobinonly-0ubuntu2

---------------
firefox (3.6.8+build1+nobinonly-0ubuntu2) maverick; urgency=low

  [ Chris Coulson <email address hidden> ]
  * Provide iceweasel
    - update debian/control
  * Really build with MOZILLA_OFFICIAL=1 this time, so that the crash
    reporter is actually enabled
    - update debian/rules
  * Only enable the crashreporter and build the Breakpad symbols on i386,
    amd64 and armel
    - update debian/control
    - update debian/rules
  * Blacklist Firefox in Apport on architectures where we use the Mozilla
    crash reporter
    - add debian/apport/blacklist
    - update debian/rules
  * Drop the DEBIAN_META_NAME stuff - we don't need this now we are always
    using unversioned sources for the official in-archive version. This
    simplifies the wrapper script a little
    - update debian/rules
    - update debian/firefox.sh.in
  * Rework how abrowser is launched a little. Drop an unnecessary patch
    and ship both abrowser and abrowser-bin files in LIBDIR. With the
    DEBIAN_META_NAME bits gone, the wrapper script will always search for
    $LIBDIR/abrowser if you launch /usr/bin/abrowser. From there, the Mozilla
    scripts already handle this properly
    - update debian/firefox.sh.in
    - update debian/rules
    - remove debian/patches/abrowser_run_mozilla.patch
    - update debian/patches/series
  * Don't handle launching GDB in our wrapper script, run-mozilla.sh
    already does all this. Just make sure that we pass the right arguments
    - update debian/firefox.sh.in
  * Fix LP: #613049 - Default website link in Maverick firefox is invalid
    - update debian/patches/ubuntu_bookmarks.patch
  * Refresh favicon's in the default bookmark collection, so they display
    the latest Ubuntu branding on a fresh profile
    - update debian/patches/ubuntu_bookmarks.patch
  * Drop the mips-specific binutils build-depend - we don't even build
    on this arch
    - update debian/control
  * Only try to install the crashreporter binary when building with the
    bundled xulrunner library
    - update debian/firefox.install
    - update debian/rules
  * Fix LP: #615889 - Add Ubuntu One bookmark to Firefox fresh install
    - update debian/patches/ubuntu_bookmarks.patch
  * Fix LP: #612185 - Apport leaks the secret name of the Firefox
    profile directory
    - update debian/apport/firefox.py
  * Fix LP: #614190 - Chinese update for firefox.desktop. Thanks to
    Cheng-Chia Tseng and Aron Xu
    - update debian/firefox-final.desktop
  * Fix LP: #559083 - Incomplete Vietnamese translation for items listed
    in desktop main menu. Thanks to Vu Do Quynh for the translations
    - update debian/firefox-final.desktop

  [ Igor Zubarev <email address hidden> ]
  * Fix LP: #569762 - Add Russian translations to desktop files
    - update debian/abrowser.desktop
    - update debian/firefox-final.desktop
 -- Chris Coulson <email address hidden> Thu, 12 Aug 2010 21:52:18 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2010-08-20
Changed in thunderbird (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 3.1.2+nobinonly-0ubuntu1

---------------
thunderbird (3.1.2+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.1.2 (THUNDERBIRD_3_1_2_RELEASE) (LP: #598935)
    - fix LP: #594280 - Thunderbird startup-notification bug
    - fix LP: #386356 - E-mails can be moved to non-existant folders

  * fix LP: #614190 - Add Traditional and Simplified Chinese translations to
    desktop file; Thanks to Cheng-Chia Tseng for Traditional Chinese and
    Aron Xu for Simplified Chinese
    - update debian/thunderbird.desktop
  * fix LP: #610867 - Missing French GenericName translations in .desktop file
    - update debian/thunderbird.desktop
  * Add build depends on libnotify-dev, libiw-dev, mesa-common-dev since
    xulrunner-1.9.2 based apps require them
    - update debian/control
  * Update mozclient to reference comm-1.9.2 branch
    - update debian/rules
    - update debian/mozclient/thunderbird.conf
  * Make all .install files install from thunderbird-3* dir
    - update debian/*.install
  * Refresh patches
    - update debian/patches/fix_install_sdk_bin.patch
    - update debian/patches/fix_installdir.patch
  * Update thunderbird.install for 3.1.x files
    - update debian/thunderbird.install
  * Add patch so Thunderbird doesn't esxperience LP 518422; Thanks to
    Alexander Sack for the original patch
    - update debian/patches/series
    - add debian/patches/lp518422.patch
  * Update profile migrator from 3.0 to 3.1 and include beta 3.1 participation
    - update debian/migrator/main.c
    - update debian/thunderbird.sh.in
  * Drop Thunderbird 2 migration code in the shell wrapper since there's no
    migration path in Maverick
    - update debian/thunderbird.sh.in
 -- Micah Gersten <email address hidden> Fri, 20 Aug 2010 09:36:36 -0500

Changed in thunderbird (Ubuntu):
status: Triaged → Fix Released
David Planella (dpm) on 2010-08-20
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers